NX Open C++ Reference Guide
|
Represents a Aerospace Sheet Metal Flange Builder. More...
Public Types | |
enum | CompType { CompTypeAutomatic, CompTypeAngle, CompTypeDistance, CompTypeNone } |
This method defines the types of Flange Compensation. More... | |
enum | DimType { DimTypeInside, DimTypeOutside } |
This enum defines the flange length dimension types. More... | |
enum | DirType { DirTypeBend, DirTypeDiscard } |
This enum defines the type of direction vector. More... | |
enum | EndType { EndTypeEnd1, EndTypeEnd2, EndTypeClosed } |
This enum defines the ends of a bend edge. More... | |
enum | LengthType { LengthTypeValue, LengthTypeInfer } |
This enum defines the length type options. More... | |
enum | MatType { MatTypeMaterialInside, MatTypeMaterialOutside, MatTypeBendOutside } |
This enum defines the material types. More... | |
Public Member Functions | |
NXOpen::Expression * | Angle () |
Returns the angle expression. | |
NXOpen::ScCollector * | BaseEdges () |
Returns the base edge section object for the flange. | |
NXOpen::Features::SheetMetal::BendOptions * | BendOptions () |
Returns the base edge section object for the flange. | |
bool | GetContourFlag () |
Get the flag that turns on/off the visibility of Contour Curve. | |
NXOpen::Features::SheetMetal::AeroFlangeBuilder::DimType | GetDimensionType () |
Get the length dimension type of the flange. | |
NXOpen::Expression * | GetEndCompensation (NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType endType, NXOpen::Features::SheetMetal::AeroFlangeBuilder::CompType *compType) |
Get end compensation. | |
NXOpen::Plane * | GetEndPlane (NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType endType) |
Get the end plane. | |
bool | GetFlipDirection (NXOpen::Features::SheetMetal::AeroFlangeBuilder::DirType type) |
Get flip direction. | |
NXOpen::Expression * | GetLength (NXOpen::Features::SheetMetal::AeroFlangeBuilder::LengthType *type) |
Get the type of length and the length expression. | |
NXOpen::Features::SheetMetal::AeroFlangeBuilder::MatType | GetMaterialType () |
Get the material type of the flange. | |
NXOpen::ScCollector * | RefFaces () |
Returns the ref face smart collector object. | |
void | SetAngle (const NXString &angleExpression) |
Set the angle expression. | |
void | SetAngle (const char *angleExpression) |
Set the angle expression. | |
void | SetBaseEdges (NXOpen::ScCollector *baseEdges) |
Sets the base edge section object for the flange. | |
void | SetContourFlag (bool showContour) |
Set the flag that turns on/off the visibility of Contour Curve. | |
void | SetDimensionType (NXOpen::Features::SheetMetal::AeroFlangeBuilder::DimType dimType) |
Set the length dimension type of the flange. | |
void | SetEndCompensation (NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType endType, NXOpen::Features::SheetMetal::AeroFlangeBuilder::CompType compType, const NXString &valueExpression) |
Set end compensation. | |
void | SetEndCompensation (NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType endType, NXOpen::Features::SheetMetal::AeroFlangeBuilder::CompType compType, const char *valueExpression) |
Set end compensation. | |
void | SetEndPlane (NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType endType, NXOpen::Plane *endPlane) |
Set the end plane. | |
void | SetFlipDirection (NXOpen::Features::SheetMetal::AeroFlangeBuilder::DirType type, bool flipFlag) |
Set flip direction. | |
void | SetLength (NXOpen::Features::SheetMetal::AeroFlangeBuilder::LengthType type, const NXString &valueExpression) |
Set the type of length and the length expression. | |
void | SetLength (NXOpen::Features::SheetMetal::AeroFlangeBuilder::LengthType type, const char *valueExpression) |
Set the type of length and the length expression. | |
void | SetMaterialType (NXOpen::Features::SheetMetal::AeroFlangeBuilder::MatType matType) |
Set the material type of the flange. | |
void | SetRefFaces (NXOpen::ScCollector *faceCollector) |
Sets the ref face smart collector object. | |
![]() | |
NXOpen::Features::SheetMetal::ApplicationContext | GetApplicationContext () |
Get the application context. | |
void | SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext) |
Set the application context. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Aerospace Sheet Metal Flange Builder.
<br> To create a new instance of this class, use @link Features::SheetMetal::AeroSheetmetalManager::CreateFlangeBuilder Features::SheetMetal::AeroSheetmetalManager::CreateFlangeBuilder @endlink <br>
Created in NX4.0.0.
This method defines the types of Flange Compensation.
NXOpen::Expression* NXOpen::Features::SheetMetal::AeroFlangeBuilder::Angle | ( | ) |
Returns the angle expression.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::ScCollector* NXOpen::Features::SheetMetal::AeroFlangeBuilder::BaseEdges | ( | ) |
Returns the base edge section object for the flange.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Features::SheetMetal::BendOptions* NXOpen::Features::SheetMetal::AeroFlangeBuilder::BendOptions | ( | ) |
Returns the base edge section object for the flange.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
bool NXOpen::Features::SheetMetal::AeroFlangeBuilder::GetContourFlag | ( | ) |
Get the flag that turns on/off the visibility of Contour Curve.
@return false = Hide contour curve, true = Show contour curve
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Features::SheetMetal::AeroFlangeBuilder::DimType NXOpen::Features::SheetMetal::AeroFlangeBuilder::GetDimensionType | ( | ) |
Get the length dimension type of the flange.
@return inside/outside
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Expression* NXOpen::Features::SheetMetal::AeroFlangeBuilder::GetEndCompensation | ( | NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType | endType, |
NXOpen::Features::SheetMetal::AeroFlangeBuilder::CompType * | compType | ||
) |
Get end compensation.
@return compensation expression
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
endType | end1/end2 |
compType | Automatic/Angle/Distance/None |
NXOpen::Plane* NXOpen::Features::SheetMetal::AeroFlangeBuilder::GetEndPlane | ( | NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType | endType | ) |
Get the end plane.
@return smart plane entity
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
endType | end1/end2 |
bool NXOpen::Features::SheetMetal::AeroFlangeBuilder::GetFlipDirection | ( | NXOpen::Features::SheetMetal::AeroFlangeBuilder::DirType | type | ) |
Get flip direction.
@return flip_flag =\> false = do not flip, true = flip
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
type | direction type bend/discard |
NXOpen::Expression* NXOpen::Features::SheetMetal::AeroFlangeBuilder::GetLength | ( | NXOpen::Features::SheetMetal::AeroFlangeBuilder::LengthType * | type | ) |
Get the type of length and the length expression.
@return length expression
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
type | length type Value/Infer |
NXOpen::Features::SheetMetal::AeroFlangeBuilder::MatType NXOpen::Features::SheetMetal::AeroFlangeBuilder::GetMaterialType | ( | ) |
Get the material type of the flange.
@return material inside/material outside/bend outside
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::ScCollector* NXOpen::Features::SheetMetal::AeroFlangeBuilder::RefFaces | ( | ) |
Returns the ref face smart collector object.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetAngle | ( | const NXString & | angleExpression | ) |
Set the angle expression.
This method should be called only when there is no ref_face selection.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
angleExpression | value of angle expression NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetAngle | ( | const char * | angleExpression | ) |
Set the angle expression.
This method should be called only when there is no ref_face selection.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
angleExpression | value of angle expression NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetBaseEdges | ( | NXOpen::ScCollector * | baseEdges | ) |
Sets the base edge section object for the flange.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
baseEdges | Base Edges |
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetContourFlag | ( | bool | showContour | ) |
Set the flag that turns on/off the visibility of Contour Curve.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
showContour | false = Hide contour curve, true = Show contour curve |
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetDimensionType | ( | NXOpen::Features::SheetMetal::AeroFlangeBuilder::DimType | dimType | ) |
Set the length dimension type of the flange.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
dimType | inside/outside |
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetEndCompensation | ( | NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType | endType, |
NXOpen::Features::SheetMetal::AeroFlangeBuilder::CompType | compType, | ||
const NXString & | valueExpression | ||
) |
Set end compensation.
This method sets the flange compensation for one end of a non-periodic Base Edge section. The end_type input parameter denotes if the end is the start of section(end1) or the end of section(end2). If the compensation type( comp_type) is either Angle or Distance, an expression for the value of compensation must be provided. This expression input can be NULL for Automatic and None type of compensations.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
endType | end1/end2 |
compType | Automatic/Angle/Distance/None |
valueExpression | value of compensation expression NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetEndCompensation | ( | NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType | endType, |
NXOpen::Features::SheetMetal::AeroFlangeBuilder::CompType | compType, | ||
const char * | valueExpression | ||
) |
Set end compensation.
This method sets the flange compensation for one end of a non-periodic Base Edge section. The end_type input parameter denotes if the end is the start of section(end1) or the end of section(end2). If the compensation type( comp_type) is either Angle or Distance, an expression for the value of compensation must be provided. This expression input can be NULL for Automatic and None type of compensations.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
endType | end1/end2 |
compType | Automatic/Angle/Distance/None |
valueExpression | value of compensation expression NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetEndPlane | ( | NXOpen::Features::SheetMetal::AeroFlangeBuilder::EndType | endType, |
NXOpen::Plane * | endPlane | ||
) |
Set the end plane.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
endType | end1/end2 |
endPlane | smart plane entity |
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetFlipDirection | ( | NXOpen::Features::SheetMetal::AeroFlangeBuilder::DirType | type, |
bool | flipFlag | ||
) |
Set flip direction.
This method is called if either the bend direction or the material direction needs to be flipped.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
type | direction type bend/discard |
flipFlag | flip_flag => false = do not flip, true = flip |
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetLength | ( | NXOpen::Features::SheetMetal::AeroFlangeBuilder::LengthType | type, |
const NXString & | valueExpression | ||
) |
Set the type of length and the length expression.
If there are no ref_face's then the only length type possible is "Value". If there are selected ref_face's and the length type is "Infer", then the length expression should be NULL.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
type | length type input Value/Infer |
valueExpression | value of length expression NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetLength | ( | NXOpen::Features::SheetMetal::AeroFlangeBuilder::LengthType | type, |
const char * | valueExpression | ||
) |
Set the type of length and the length expression.
If there are no ref_face's then the only length type possible is "Value". If there are selected ref_face's and the length type is "Infer", then the length expression should be NULL.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
type | length type input Value/Infer |
valueExpression | value of length expression NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetMaterialType | ( | NXOpen::Features::SheetMetal::AeroFlangeBuilder::MatType | matType | ) |
Set the material type of the flange.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
matType | material inside/material outside/bend outside |
void NXOpen::Features::SheetMetal::AeroFlangeBuilder::SetRefFaces | ( | NXOpen::ScCollector * | faceCollector | ) |
Sets the ref face smart collector object.
Created in NX4.0.0.
License requirements : aero_sheet_metal ("Aerospace Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
faceCollector | face collector |